CVE-2024-5569

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2024-5569
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2024-5569.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2024-5569
Aliases
Published
2024-07-09T00:15:02Z
Modified
2024-07-10T01:21:27.673477Z
Summary
[none]
Details

A Denial of Service (DoS) vulnerability exists in the jaraco/zipp library, affecting all versions prior to 3.19.1. The vulnerability is triggered when processing a specially crafted zip file that leads to an infinite loop. This issue also impacts the zipfile module of CPython, as features from the third-party zipp library are later merged into CPython, and the affected code is identical in both projects. The infinite loop can be initiated through the use of functions affecting the Path module in both zipp and zipfile, such as joinpath, the overloaded division operator, and iterdir. Although the infinite loop is not resource exhaustive, it prevents the application from responding. The vulnerability was addressed in version 3.19.1 of jaraco/zipp.

References

Affected packages

Git / github.com/jaraco/zipp

Affected ranges

Type
GIT
Repo
https://github.com/jaraco/zipp
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Fixed

Affected versions

0.*

0.3.3

v0.*

v0.1.0
v0.2.0
v0.2.1
v0.3.0
v0.3.1
v0.3.2
v0.4.0
v0.5.0
v0.5.1
v0.5.2
v0.6.0

v1.*

v1.0.0
v1.1.0
v1.1.1
v1.2.0

v2.*

v2.0.0
v2.0.1
v2.1.0
v2.2.0
v2.2.1

v3.*

v3.0.0
v3.1.0
v3.10.0
v3.11.0
v3.12.0
v3.12.1
v3.13.0
v3.14.0
v3.15.0
v3.16.0
v3.16.1
v3.16.2
v3.17.0
v3.18.0
v3.18.1
v3.18.2
v3.19.0
v3.2.0
v3.3.0
v3.3.1
v3.3.2
v3.4.0
v3.4.1
v3.4.2
v3.5.0
v3.5.1
v3.6.0
v3.7.0
v3.8.0
v3.8.1
v3.9.0
v3.9.1